//----------------------------------------------------------------------------------
//----------------------------------------------------------------------------------

datablock ShapeBaseImageData(HandGunImage)
{
   // Basic Item properties
   shapeFile = "~/data/shapes/player/weapon.dts";
   emap = true;
};

datablock ShapeBaseImageData(HandGunImage2)
{
   // Basic Item properties
   shapeFile = "~/data/shapes/player/weapon2.dts";
   emap = true;
};

datablock StaticShapeData(PilotDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/pilot.dts";
};
function PilotDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}

datablock StaticShapeData(PlayerFemaleDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/player_female.dts";
};
function PlayerFemaleDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}
   
datablock StaticShapeData(PlayerMaleDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/player_male.dts";
};
function PlayerMaleDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}
   
datablock StaticShapeData(ExtraSoldierDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/extra_soldier.dts";
};
function ExtraSoldierDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}   
      
datablock StaticShapeData(ChinesemanDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/chineseman.dts";
};
function ChinesemanDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}   
      
datablock StaticShapeData(ChinesewomanDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/chinesewoman.dts";
};
function ChinesewomanDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}   

datablock StaticShapeData(AdguyDB) {
   emap = false;
   shapeFile = "~/data/shapes/player/adguy.dts";
};
function AdguyDB::onAdd( %this,%obj)
{
   %obj.playThread(0,"root");
}   







   
datablock PathShapeData(BurkeShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/burke.dts";
   mode = "";
};

datablock PathShapeData(HareShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/hare.dts";
   mode = "";
};
     

datablock PathShapeData(Burke2Shape)
{
   emap = false;
   shapefile = "~/data/shapes/player/burke.dts";
   mode = "";
};

datablock PathShapeData(ManatoShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/Manato.dts";
   mode = "";
};

datablock PathShapeData(SangannoShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/sanganno.dts";
   mode = "";
};

datablock PathShapeData(VonKnoxShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/vonKnox.dts";
   mode = "";
};

datablock PathShapeData(ReceptionistShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/chinesewoman.dts";
   mode = "";
};

datablock PathShapeData(MordecaiShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/mordecai.dts";
   mode = "";
};

datablock PathShapeData(AssistantShape)
{
   emap = false;
   shapefile =  "~/data/shapes/player/researchAssistant.dts";
   mode = "";
};

datablock PathShapeData(FuchsShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/fuchs.dts";
   mode = "";
};

datablock PathShapeData(EdgarShape)
{
   emap = false;
   shapefile = "~/data/shapes/player/edgar.dts";
   mode = "";
};




